## pleiades 0.1.0

=== DESCRIPTION ===
Package: pleiades
Title: Interface to the 'Pleiades' 'Archeological' Database
Description: Provides a set of functions for interacting with the
    'Pleiades' 'API', including getting status data, places data, and
    creating a 'GeoJSON' based map on 'GitHub' 'gists'.
Version: 0.1.0
Authors@R: person("Scott", "Chamberlain", role = c("aut", "cre"),
    email = "myrmecocystus@gmail.com")
License: MIT + file LICENSE
URL: https://github.com/ropensci/pleiades
BugReports: https://github.com/ropensci/pleiades/issues
Imports: dplyr (>= 0.5.0), crul (>= 0.1.6), jsonlite (>= 1.1), gistr
        (>= 0.3.6), rappdirs, RSQLite
Suggests: roxygen2 (>= 5.0.1), testthat, knitr
VignetteBuilder: knitr
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-12-19 19:20:07 UTC; sacmac
Author: Scott Chamberlain [aut, cre]
Maintainer: Scott Chamberlain <myrmecocystus@gmail.com>
Repository: CRAN
Date/Publication: 2016-12-20 01:51:22

## pleiades 0.2.0

=== DESCRIPTION ===
Package: pleiades
Title: Interface to the 'Pleiades' 'Archeological' Database
Description: Provides a set of functions for interacting with the
    'Pleiades' (<https://pleiades.stoa.org/>) 'API', including 
    getting status data, places data, and creating a 'GeoJSON' 
    based map on 'GitHub' 'gists'.
Version: 0.2.0
Authors@R: person("Scott", "Chamberlain", role = c("aut", "cre"),
    email = "myrmecocystus@gmail.com")
License: MIT + file LICENSE
URL: https://github.com/ropensci/pleiades
BugReports: https://github.com/ropensci/pleiades/issues
Imports: DBI (>= 0.6-1), dplyr (>= 0.5.0), dbplyr (>= 1.0.0), RSQLite
        (>= 1.1-2), crul (>= 0.3.6), jsonlite (>= 1.5), gistr (>=
        0.4.0), rappdirs
Suggests: roxygen2 (>= 6.0.1), testthat, knitr,
VignetteBuilder: knitr
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2017-06-15 17:43:22 UTC; sacmac
Author: Scott Chamberlain [aut, cre]
Maintainer: Scott Chamberlain <myrmecocystus@gmail.com>
Repository: CRAN
Date/Publication: 2017-06-15 17:49:51 UTC

## pleiades 0.3.0

=== DESCRIPTION ===
Package: pleiades
Title: Interface to the 'Pleiades' 'Archeological' Database
Description: Provides a set of functions for interacting with the
    'Pleiades' (<https://pleiades.stoa.org/>) 'API', including 
    getting status data, places data, and creating a 'GeoJSON' 
    based map on 'GitHub' 'gists'.
Version: 0.3.0
Authors@R: person("Scott", "Chamberlain", role = c("aut", "cre"),
    email = "myrmecocystus@gmail.com")
License: MIT + file LICENSE
URL: https://docs.ropensci.org/pleiades/,
        https://github.com/ropensci/pleiades
BugReports: https://github.com/ropensci/pleiades/issues
Encoding: UTF-8
Language: en-US
Imports: DBI, dplyr, dbplyr, RSQLite, crul, jsonlite, gistr, rappdirs
Suggests: testthat, knitr, rmarkdown, markdown, vcr
VignetteBuilder: knitr
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2020-10-07 16:52:21 UTC; sckott
Author: Scott Chamberlain [aut, cre]
Maintainer: Scott Chamberlain <myrmecocystus@gmail.com>
Repository: CRAN
Date/Publication: 2020-10-07 18:00:02 UTC

## pleiades 1.3.1-dfsg

=== debian/changelog ===
pleiades (1.3.1-dfsg-1) unstable; urgency=low

  * Upload to Debian (Closes: #555846)
  * remove lib directory to comply DFSG
  * also remove srctest/jp/sourceforge/mergedoc/pleiades/resource/3.* since
    those files' license is not clear enough and not need to build.
  * remove debian/eclipserc,pleiades.examples since eclipse no longer uses
    .eclipserc and update debian/README.Debian
  * add debian/patches/build.xml and use "source format 3.0 (quilt)" 
  * add debian/pleiades.links and put files to /usr/share/eclipse
  * remove debian/{pleiades.install,lintian/*}
  * add debian/patches/fix-config.ini to deal with error with finding 
    config.ini
  * debian/control
    - set "DM-Upload-Allowed: yes"
    - correction
      + "Build-Depends: default-jdk"
      + add "Depends: libcommons-lang-java, libcommons-io-java, 
        libjavassist-java"
      + remove "Recommends: default-jre-headless"
    Thanks to Niels Thykier <niels@thykier.net> and Matthew Johnson 
    <mjj29@debian.org>!

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Mon, 22 Mar 2010 15:05:28 +0900

pleiades (1.3.1-1~pre5) unstable; urgency=low

  * put features file to /usr/lib 

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Sun, 21 Mar 2010 17:35:26 +0900

pleiades (1.3.1-1~pre4) unstable; urgency=low

  * debian/control
    - move default-jre-headless from Depends to Recommends 

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Sun, 15 Nov 2009 19:35:40 +0900

pleiades (1.3.1-1~pre3) unstable; urgency=low

  * debian/control
    - add "Depends: default-jre-headless" 

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Sun, 15 Nov 2009 09:20:07 +0900

pleiades (1.3.1-1~pre2) unstable; urgency=low

  * debian/README.Debian
    - $ cp /usr/share/"doc"/pleiades/examples/eclipserc ~/.eclipse/eclipserc
      Thanks to Wataru Nakanishi <watayan@meigaku.ac.jp>

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Sat, 14 Nov 2009 15:23:53 +0900

pleiades (1.3.1-1~pre) unstable; urgency=low

  * Initial release at sourceforge.jp (not Debian Official, yet)

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Thu, 12 Nov 2009 11:57:55 +0900

=== debian/control ===
Source: pleiades
Section: devel
Priority: extra
Maintainer: Hideki Yamane (Debian-JP) <henrich@debian.or.jp>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50), ant, default-jdk
Build-Depends-Indep: libcommons-lang-java, libcommons-io-java, libjavassist-java, zip, unzip
Standards-Version: 3.8.4
Homepage: http://mergedoc.sourceforge.jp/

Package: pleiades
Architecture: all
Depends: eclipse, libcommons-lang-java, libcommons-io-java, libjavassist-java,
 ${misc:Depends}
Description:  Japanese Language package for Eclipse using Dynamic AOP, Pleiades
 The Pleiades is a dynamic AOP translation container, it provides dynamic 
 Japanese localization to the Eclipse Platform and a large number of plug-ins.
 Some of its resources has contributed to the Eclipse.org.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

packagename=pleiades
eclipse_dir=usr/share/eclipse

%:
	dh  $@

override_dh_auto_build:
	ant -Dbin.dir=$(CURDIR)/build/bin -Dbuild.dir=$(CURDIR)/build build.full

override_dh_auto_install:
	unzip -q -d $(CURDIR)/debian/$(packagename)/$(eclipse_dir) $(CURDIR)/build/$(packagename).zip
# remove unneeded files
	-rm -r $(CURDIR)/debian/$(packagename)/$(eclipse_dir)/readme
	-rm $(CURDIR)/debian/$(packagename)/$(eclipse_dir)/*cmd

=== debian/watch ===
version=3

opts="downloadurlmangle=s/sourceforge/iij.dl.sourceforge/;s/downloads\///;s/projects\///,\
uversionmangle=s/-beta/~beta/;s/-rc/~rc/;s/-preview/~preview/,\
dversionmangle=s/-dfsg//" \
 http://sourceforge.jp/projects/mergedoc/releases/ \
  /projects/mergedoc/downloads/.*/pleiades_(.*)\-src.zip/ debian uupdate

## pleiades 1.3.2-dfsg

=== debian/changelog ===
pleiades (1.3.2-dfsg-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - change my email address
    - Build-Depends: debhelper (>= 7.0.50~)
    - set "Standards-Version: 3.9.1" 
  * debian/watch
    - fix to work
  * debian/patches
    - refresh fix-config.ini
    - refresh build.xml, most of non-debian specific changes were included
      in upstream
  * debian/rules
    - change ant target from build-full to build.full

 -- Hideki Yamane <henrich@debian.org>  Sun, 31 Oct 2010 21:09:27 +0900

=== debian/control ===
Source: pleiades
Section: devel
Priority: extra
Maintainer: Hideki Yamane <henrich@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), ant, default-jdk
Build-Depends-Indep: libcommons-lang-java, libcommons-io-java, libjavassist-java, zip, unzip
Standards-Version: 3.9.1
Homepage: http://mergedoc.sourceforge.jp/

Package: pleiades
Architecture: all
Depends: eclipse, libcommons-lang-java, libcommons-io-java, libjavassist-java,
 ${misc:Depends}
Description: Japanese Language package for Eclipse using Dynamic AOP, Pleiades
 The Pleiades is a dynamic AOP translation container, it provides dynamic 
 Japanese localization to the Eclipse Platform and a large number of plug-ins.
 Some of its resources has contributed to the Eclipse.org.

## pleiades 1.3.3-dfsg

=== debian/changelog ===
pleiades (1.3.3-dfsg-2) unstable; urgency=low

  * debian/control
    - remove unnecessary "DM-Upload-Allowed: yes" field

 -- Hideki Yamane <henrich@debian.org>  Sat, 17 Sep 2011 10:11:42 +0900

pleiades (1.3.3-dfsg-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - set "Standards-Version: 3.9.2" 
  * debian/patches
    - adjust build.xml and fix-config.ini 

 -- Hideki Yamane <henrich@debian.org>  Thu, 08 Sep 2011 23:45:14 +0900

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: devel
 Priority: extra
 Maintainer: Hideki Yamane <henrich@debian.org>
-DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50~), ant, default-jdk
 Build-Depends-Indep: libcommons-lang-java, libcommons-io-java, libjavassist-java, zip, unzip
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://mergedoc.sourceforge.jp/
 
 Package: pleiades

## pleiades 1.3.4~I20120531-dfsg

=== debian/changelog ===
pleiades (1.3.4~I20120531-dfsg-2+deb7u1) testing-proposed-updates; urgency=low

  * Non-maintainer upload to t-p-u to fix the RC bug in wheezy.
  * Use version numbering proposed in #685646
  * Temporarily disable debconf usage, its behaviour violates the
    policy. An alternative solution will be worked on
    after Wheezy release (Closes: #679846).
  * Also drop all debconf templates and their translations.

 -- Christian Perrier <bubulle@debian.org>  Sat, 18 Aug 2012 18:25:06 +0200

pleiades (1.3.4~I20120531-dfsg-2) unstable; urgency=low

  * debian/control
    - add "Depends: dpkg (>= 1.15.6~)" to deal with Lintian warning
      "data.tar.xz-member-without-dpkg-pre-depends"
  * debian/copyright
    - update "Format:" field to
      http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
      and set License: EPL-1.0
  * debian/rules
    - install readme_pleiades_changes.txt as upstream ChangeLog

 -- Hideki Yamane <henrich@debian.org>  Tue, 05 Jun 2012 13:07:59 +0900

pleiades (1.3.4~I20120531-dfsg-1) unstable; urgency=low

  * New upstream snapshot
  * debian/pleiades.{templates,config}
    - add it to enable debconf
  * debian/control
    - add "Build-Depends: po-debconf", "Pre-Depends: debconf"
  * debian/rules
    - add option to xz to compress it more efficiently.
    - exec debconf-updatepo via dh_clean
  * debian/pleiades.{postinst,postrm}
    - enable automatic configuration
  * debian/patches
    - build.xml: refresh it.
    - add disable-create-src_zip to reduce build time.
  * remove debian/README.Debian
  * debian/copyright
    - update my address

 -- Hideki Yamane <henrich@debian.org>  Mon, 04 Jun 2012 10:24:02 +0900

pleiades (1.3.3-dfsg-3) unstable; urgency=low

  * debian/control
    - set "Standards-Version: 3.9.3"
  * debian/rules
    - compress with xz
  * debian/patches
    - build.xml: fix "missing-classpath" (Lintian).

 -- Hideki Yamane <henrich@debian.org>  Tue, 29 May 2012 09:42:09 +0900

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: devel
 Priority: extra
 Maintainer: Hideki Yamane <henrich@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), ant, default-jdk
+Build-Depends: debhelper (>= 7.0.50~), ant, default-jdk, po-debconf
 Build-Depends-Indep: libcommons-lang-java, libcommons-io-java, libjavassist-java, zip, unzip
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://mergedoc.sourceforge.jp/
 
 Package: pleiades
 Architecture: all
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: eclipse, libcommons-lang-java, libcommons-io-java, libjavassist-java,
  ${misc:Depends}
 Description: Japanese Language package for Eclipse using Dynamic AOP, Pleiades

=== debian/rules ===
--- 
+++ 
@@ -16,3 +16,14 @@
 # remove unneeded files
 	-rm -r $(CURDIR)/debian/$(packagename)/$(eclipse_dir)/readme
 	-rm $(CURDIR)/debian/$(packagename)/$(eclipse_dir)/*cmd
+
+override_dh_installchangelogs:
+	dh_installchangelogs $(CURDIR)/readme/readme_pleiades_changes.txt
+
+override_dh_builddeb:
+	dh_builddeb -- -Zxz -Sextreme -z9
+
+make_it_dfsg:
+	rm -r $(CURDIR)/lib \
+	      $(CURDIR)/srctest/jp/sourceforge/mergedoc/pleiades/resource/3.*
+	mv $(CURDIR) `sed -e s/$(CURDIR)/$(CURDIR)-dfsg/`

=== debian/watch ===
version=3

opts="downloadurlmangle=s/sourceforge/iij.dl.sourceforge/;s/downloads\///;s/projects\///;s/zip\//zip/,\
uversionmangle=s/-beta/~beta/;s/-rc/~rc/;s/-preview/~preview/,\
dversionmangle=s/-dfsg//" \
 http://sourceforge.jp/projects/mergedoc/releases/ \
  /projects/mergedoc/downloads/.*/pleiades_(.*)\-src.zip/ debian uupdate

## pleiades 1.3.4-dfsg

=== debian/changelog ===
pleiades (1.3.4-dfsg-4) unstable; urgency=low

  * upload to unstable 

 -- Hideki Yamane <henrich@debian.org>  Mon, 06 Aug 2012 23:44:28 +0900

pleiades (1.3.4-dfsg-3) experimental; urgency=low

  * debconf/po
    - add Portuguese translation (Closes: #678739)
  * temporary disabled debconf usage, its behaivior violates policy and I'll 
    look for another solution after Wheezy will be released (Closes: #679846)

 -- Hideki Yamane <henrich@debian.org>  Mon, 06 Aug 2012 18:29:33 +0900

pleiades (1.3.4-dfsg-2) experimental; urgency=low

  [ Christian Perrier ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #676312
  * [Debconf translation updates]
  * Swedish (Martin Bagge / brother).  Closes: #678321
  * Danish (Joe Hansen).  Closes: #678323
  * Slovak (Ivan Masár).  Closes: #678334
  * Russian (Yuri Kozlov).  Closes: #678432
  * Galician (Jorge Barreiro).  Closes: #678465
  * Czech (Michal Simunek).  Closes: #678672
  * French (Étienne Gilli).  Closes: #679006
  * Polish (Michał Kułach).  Closes: #679434
  * German (Chris Leick).  Closes: #679461
  * Spanish; (# traductor (campo Last-Translator) y ponga en copia a la
    lista de Fernando C. Estrada).  Closes: #679805
  * Italian (Beatrice Torracca).  Closes: #680569

  [ Hideki Yamane ]
  * debian/control
    - set "Build-Depends: debhelper (>= 9)"
  * upload to experimental

 -- Hideki Yamane <henrich@debian.org>  Sat, 04 Aug 2012 10:28:49 +0900

pleiades (1.3.4-dfsg-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - improve descriptions
    - bump up debehelper version to use xz option
  * debian/compat
    - set 9
  * add debian/NEWS file about automatic configuration and manual
    configuration due to upgrading eclipse package would override its change
  * debian/patches
    - refresh all patches to meet to DEP3 format.
  * debian/watch
    - update to catch newer upstream version correctly.
  * debian/rules
    - add "--parallel" option to build
    - remove unnecessary lib directory with dh_auto_install
  * debian/copyright
    - update to deal with changes about not exclude javaassist and commons-io
      from upstream source

 -- Hideki Yamane <henrich@debian.org>  Sun, 01 Jul 2012 10:03:06 +0900

=== debian/control ===
Source: pleiades
Section: devel
Priority: extra
Maintainer: Hideki Yamane <henrich@debian.org>
Build-Depends: debhelper (>= 9), ant, default-jdk
Build-Depends-Indep: libcommons-lang-java, libcommons-io-java, libjavassist-java, zip, unzip
Standards-Version: 3.9.3
Homepage: http://mergedoc.sourceforge.jp/

Package: pleiades
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: eclipse, libcommons-lang-java, libcommons-io-java, libjavassist-java,
 ${misc:Depends}
Description: Japanese translation plug-in for Eclipse using dynamic AOP
 Pleiades is a dynamic Aspect-Oriented Programming translation layer for the
 Eclipse platform and many of its plug-ins. It uses a Japanese glossary to
 provide side-by-side English/Japanese property resource bundles.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

packagename=pleiades
eclipse_dir=usr/share/eclipse

%:
	dh  $@ --parallel

override_dh_auto_build:
	ant -Dbin.dir=$(CURDIR)/build/bin -Dbuild.dir=$(CURDIR)/build build.full

override_dh_auto_install:
	unzip -q -d $(CURDIR)/debian/$(packagename)/$(eclipse_dir) $(CURDIR)/build/$(packagename).zip
# remove unneeded files
	-rm $(CURDIR)/debian/$(packagename)/$(eclipse_dir)/*cmd
	-rm -r $(CURDIR)/debian/$(packagename)/$(eclipse_dir)/readme
	-rm -r $(CURDIR)/debian/$(packagename)/$(eclipse_dir)/plugins/jp.sourceforge.mergedoc.pleiades/lib

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/readme/readme_pleiades_changes.txt

#override_dh_clean:
#	debconf-updatepo
#	dh_clean

override_dh_builddeb:
	dh_builddeb -- -Zxz -Sextreme -z9

=== debian/watch ===
version=3

opts="downloadurlmangle=s/sourceforge/iij.dl.sourceforge/;s/downloads\///;s/projects\///;s/zip\//zip/,\
uversionmangle=s/-beta/~beta/;s/-rc/~rc/;s/-preview/~preview/,\
dversionmangle=s/-dfsg//;s/~I/~/" \
 http://sourceforge.jp/projects/mergedoc/releases/ \
  /projects/mergedoc/downloads/.*/pleiades_(.*)\-src.zip/ debian uupdate

## pleiades 1.4.0-dfsg

=== debian/changelog ===
pleiades (1.4.0-dfsg-6) unstable; urgency=medium

  * debian/control
    - add Vcs-* fields.
    - set Standards-Version: 3.9.5
    - set Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
      as Maintainer

 -- Hideki Yamane <henrich@debian.org>  Thu, 02 Jan 2014 19:07:55 +0900

pleiades (1.4.0-dfsg-5) unstable; urgency=low

  * update debian/po/ja.po, thanks to victory <victory.deb@gmail.com>
    (Closes: #717709)

 -- Hideki Yamane <henrich@debian.org>  Mon, 30 Sep 2013 15:32:44 +0900

pleiades (1.4.0-dfsg-4) unstable; urgency=medium

  * debian/control
    - revert to "Depends: libcommons-lang-java", not lang3

 -- Hideki Yamane <henrich@debian.org>  Tue, 02 Jul 2013 20:00:56 +0900

pleiades (1.4.0-dfsg-3) unstable; urgency=medium

  * debian/control
    - set "Build-Depends-Indep: libcommons-lang3-java"
  * debian/patches
    - add use_org.apache.commons.lang3.patch, due to above changes
    - update build.xml to use above libcommons-lang3-java library
    - add bug713779_dont-specify-encoding-as-null.patch (Closes: #713779)

 -- Hideki Yamane <henrich@debian.org>  Tue, 25 Jun 2013 18:40:44 +0900

pleiades (1.4.0-dfsg-2) unstable; urgency=low

  * upload to unstable
  * debian/rules,watch
    - add get-orig-source target

 -- Hideki Yamane <henrich@debian.org>  Sun, 07 Apr 2013 07:44:23 +0900

pleiades (1.4.0-dfsg-1) experimental; urgency=low

  * New upstream release
  * debian/patches
    - drop fix-config.ini since it is unnecessary by change in upstream
    - add compile_junit.patch
  * debian/control
    - set Standards-Version: 3.9.4
    - add Build-Depends: ant-optional (/usr/share/ant/lib/ant-junit.jar),
      junit
  * debian/rules
    - deal with changes in build.xml

 -- Hideki Yamane <henrich@debian.org>  Tue, 05 Mar 2013 23:47:08 +0900

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: pleiades
 Section: devel
 Priority: extra
-Maintainer: Hideki Yamane <henrich@debian.org>
-Build-Depends: debhelper (>= 9), ant, default-jdk
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Uploaders: Hideki Yamane <henrich@debian.org>
+Build-Depends: debhelper (>= 9), ant, default-jdk, ant-optional, junit
 Build-Depends-Indep: libcommons-lang-java, libcommons-io-java, libjavassist-java, zip, unzip
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://mergedoc.sourceforge.jp/
+Vcs-Git: git://anonscm.debian.org/pkg-java/pleiades/
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/pleiades;a=summary
 
 Package: pleiades
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 
 packagename=pleiades
 eclipse_dir=usr/share/eclipse
+
+UPSTREAM_VERSION = $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ':' | sed 's/ //' | sed 's/-dfsg.*$$//')
+COMPAT_VERSION = $(UPSTREAM_VERSION)~dfsg
+REMOVE_FILES="srctest/jp/sourceforge/mergedoc/pleiades/resource/3.*"
 
 %:
 	dh  $@ --parallel
@@ -12,7 +16,7 @@
 	ant -Dbin.dir=$(CURDIR)/build/bin -Dbuild.dir=$(CURDIR)/build build.full
 
 override_dh_auto_install:
-	unzip -q -d $(CURDIR)/debian/$(packagename)/$(eclipse_dir) $(CURDIR)/build/$(packagename).zip
+	unzip -q -d $(CURDIR)/debian/$(packagename)/$(eclipse_dir) $(CURDIR)/build/nightly/$(packagename).zip
 # remove unneeded files
 	-rm $(CURDIR)/debian/$(packagename)/$(eclipse_dir)/*cmd
 	-rm -r $(CURDIR)/debian/$(packagename)/$(eclipse_dir)/readme
@@ -27,3 +31,12 @@
 
 override_dh_builddeb:
 	dh_builddeb -- -Zxz -Sextreme -z9
+
+get-orig-source:
+	TMPDIR=`mktemp -d`;\
+	uscan --download-version $(UPSTREAM_VERSION) --destdir $$TMPDIR --force-download --no-symlink ;\
+	mkdir -p $$TMPDIR/pleiades ;\
+	unzip $$TMPDIR/pleiades_$(UPSTREAM_VERSION)-src.zip -d $$TMPDIR/pleiades ;\
+	for i in $(REMOVE_FILES) ; do rm -rf $$TMPDIR/pleiades/$$i; done ;\
+	cd $$TMPDIR; tar cJf pleiades_$(COMPAT_VERSION).orig.tar.xz pleiades ;\
+	rm -rf $$TMPDIR/pleiades-$(UPSTREAM_VERSION)

=== debian/watch ===
--- 
+++ 
@@ -4,5 +4,4 @@
 uversionmangle=s/-beta/~beta/;s/-rc/~rc/;s/-preview/~preview/,\
 dversionmangle=s/-dfsg//;s/~I/~/" \
  http://sourceforge.jp/projects/mergedoc/releases/ \
-  /projects/mergedoc/downloads/.*/pleiades_(.*)\-src.zip/ debian uupdate
-
+  /projects/mergedoc/downloads/.*/pleiades_(.*)\-src.zip/

## pleiades 1.5.0

=== debian/changelog ===
pleiades (1.5.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - set Standards-Version: 3.9.6
  * debian/patches
    - refresh patches
    - drop: bug713779_dont-specify-encoding-as-null.patch: merged upstream
  * debian/copyright
    - add copyright mention to some files that was previously removed from
      source tarball

 -- Hideki Yamane <henrich@debian.org>  Sun, 12 Oct 2014 02:38:27 +0900

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Hideki Yamane <henrich@debian.org>
 Build-Depends: debhelper (>= 9), ant, default-jdk, ant-optional, junit
 Build-Depends-Indep: libcommons-lang-java, libcommons-io-java, libjavassist-java, zip, unzip
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://mergedoc.sourceforge.jp/
 Vcs-Git: git://anonscm.debian.org/pkg-java/pleiades/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/pleiades;a=summary

## pleiades 1.6.0

=== debian/changelog ===
pleiades (1.6.0-3) unstable; urgency=medium

  * debian/copyright
    - update Source to point osdn.jp, and upstream address to new one

 -- Hideki Yamane <henrich@debian.org>  Mon, 14 Dec 2015 06:36:55 +0900

pleiades (1.6.0-2) unstable; urgency=medium

  * debian/watch
    - update to point osdn.jp 
    - update Vcs-*
    - update Homepage

 -- Hideki Yamane <henrich@debian.org>  Mon, 07 Dec 2015 21:31:32 +0900

pleiades (1.6.0-1) unstable; urgency=medium

  [ tony mancill ]
  * Team upload.
  * Add Dutch debconf translation (debian/po/nl.po).
    Thank you to Frans Spiesschaert. (Closes: #771460)

  [ Hideki Yamane ]
  * New upstream release 
  * debian/patches
    - refresh patches
    - add 0005-do-not-ask-timestamp.digicert.com-to-sign.patch to avoid FTBFS

 -- Hideki Yamane <henrich@debian.org>  Tue, 17 Nov 2015 21:59:14 +0900

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: debhelper (>= 9), ant, default-jdk, ant-optional, junit
 Build-Depends-Indep: libcommons-lang-java, libcommons-io-java, libjavassist-java, zip, unzip
 Standards-Version: 3.9.6
-Homepage: http://mergedoc.sourceforge.jp/
-Vcs-Git: git://anonscm.debian.org/pkg-java/pleiades/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/pleiades;a=summary
+Homepage: https://mergedoc.osdn.jp/
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/pleiades.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/pleiades.git/
 
 Package: pleiades
 Architecture: all

=== debian/watch ===
version=3

opts="downloadurlmangle=s/osdn/iij.dl.osdn/;s/downloads\///;s/projects\///;s/zip\//zip/,\
uversionmangle=s/-beta/~beta/;s/-rc/~rc/;s/-preview/~preview/,\
dversionmangle=s/-dfsg//;s/~I/~/" \
 http://osdn.jp/projects/mergedoc/releases/ \
  /projects/mergedoc/downloads/.*/pleiades_(.*)\-src.zip/

## pleiades 1.7.0

=== debian/changelog ===
pleiades (1.7.0-2) unstable; urgency=medium

  * debian/patches
    - add reproducible_build.patch (Closes: #835633)
      Thanks to Chris Lamb <lamby@debian.org> for the patch 

 -- Hideki Yamane <henrich@debian.org>  Mon, 10 Oct 2016 02:27:06 +0900

pleiades (1.7.0-1) unstable; urgency=medium

  * New upstream release 
  * debian/patches
    - build.xml,compile_junit.patch: disable specifying Java5 version.
      We'll use Java8 for default in Debian9 "stretch" release at least.
    - build.xml,compile_junit.patch: specify lint for javac to check
      depreciated issue.

 -- Hideki Yamane <henrich@debian.org>  Thu, 07 Jul 2016 13:38:22 +0200

pleiades (1.6.0-4) unstable; urgency=medium

  * Team upload.
  * Add Brazilian Portuguese debconf templates translation.
    Thank you to Adriano Rafael Gomes. (Closes: #829344)
  * Bump Standards-Version to 3.9.8 (no changes).

 -- tony mancill <tmancill@debian.org>  Sat, 02 Jul 2016 20:13:22 -0700

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Hideki Yamane <henrich@debian.org>
 Build-Depends: debhelper (>= 9), ant, default-jdk, ant-optional, junit
 Build-Depends-Indep: libcommons-lang-java, libcommons-io-java, libjavassist-java, zip, unzip
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://mergedoc.osdn.jp/
 Vcs-Git: https://anonscm.debian.org/git/pkg-java/pleiades.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/pleiades.git/

## pleiades 1.7.27

=== debian/changelog ===
pleiades (1.7.27-4) unstable; urgency=medium

  * debian/control
    - Set Standards-Version: 4.1.4 with no change
    - Set Build-Depends: debhelper (>= 11)
    - Update Vcs-* to use salsa.debian.org
  * debian/compat
    - Set 11
  * debian/watch
    - Update to deal with upstream's change
  * debian/rules
    - Use default compression

 -- Hideki Yamane <henrich@debian.org>  Fri, 01 Jun 2018 09:21:04 +0900

pleiades (1.7.27-3) unstable; urgency=medium

  * debian/control
    - set Priority: optional since extra is obsolete 

 -- Hideki Yamane <henrich@debian.org>  Sat, 21 Oct 2017 08:12:49 +0900

pleiades (1.7.27-2) unstable; urgency=medium

  * debian/watch
    - use https 
  * debian/control
    - set Standards-Version: 4.1.1

 -- Hideki Yamane <henrich@debian.org>  Sun, 15 Oct 2017 09:39:46 +0900

pleiades (1.7.27-1) unstable; urgency=medium

  * New upstream release
  * debian/patches
    - refresh patches
    - drop 0005-do-not-ask-timestamp.digicert.com-to-sign.patch:
      unnecessary patch
    - drop reproducible_build.patch: done by build option, instead.
  * debian/compat
    - set 10
  * debian/control
    - set Build-Depends: debhelper (>= 10)
    - set Standards-Version: 4.0.0
    - drop dependency to libcommons-{io, lang} since upstream included those
      two libraries source into pleiades
  * debian/rules
    - simplify with dh10
    - use -Dnosign=true to reproducible build
    - remove Windows Thumbs.db
  * debian/copyright
    - update since Apache commons is included in src
    - drop unnecessary srctest/jp/sourceforge/mergedoc/pleiades/resource/3.*
      mention
  * re-enable README.Debian
  * debian/watch
    - point to osdn.net, instead of osdn.jp
    - update to version 4

 -- Hideki Yamane <henrich@debian.org>  Sun, 02 Jul 2017 09:37:11 +0900

=== debian/control ===
Source: pleiades
Section: devel
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Hideki Yamane <henrich@debian.org>
Build-Depends: debhelper (>= 11), ant, default-jdk, ant-optional, junit
Build-Depends-Indep: libjavassist-java, zip, unzip
Standards-Version: 4.1.4
Homepage: https://mergedoc.osdn.jp/
Vcs-Git: https://salsa.debian.org/java-team/pleiades.git
Vcs-Browser: https://salsa.debian.org/java-team/pleiades

Package: pleiades
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: eclipse, libjavassist-java,
 ${misc:Depends}
Description: Japanese translation plug-in for Eclipse using dynamic AOP
 Pleiades is a dynamic Aspect-Oriented Programming translation layer for the
 Eclipse platform and many of its plug-ins. It uses a Japanese glossary to
 provide side-by-side English/Japanese property resource bundles.

=== debian/rules ===
--- 
+++ 
@@ -10,10 +10,10 @@
 REMOVE_FILES="srctest/jp/sourceforge/mergedoc/pleiades/resource/3.*"
 
 %:
-	dh  $@ --parallel
+	dh  $@
 
 override_dh_auto_build:
-	ant -Dbin.dir=$(CURDIR)/build/bin -Dbuild.dir=$(CURDIR)/build build.full
+	ant -Dbin.dir=$(CURDIR)/build/bin -Dbuild.dir=$(CURDIR)/build build.full -Dnosign=true
 
 override_dh_auto_install:
 	unzip -q -d $(CURDIR)/debian/$(packagename)/$(eclipse_dir) $(CURDIR)/build/nightly/$(packagename).zip
@@ -21,6 +21,7 @@
 	-rm $(CURDIR)/debian/$(packagename)/$(eclipse_dir)/*cmd
 	-rm -r $(CURDIR)/debian/$(packagename)/$(eclipse_dir)/readme
 	-rm -r $(CURDIR)/debian/$(packagename)/$(eclipse_dir)/plugins/jp.sourceforge.mergedoc.pleiades/lib
+	-rm $(CURDIR)/debian/$(packagename)/$(eclipse_dir)/plugins/jp.sourceforge.mergedoc.pleiades/conf/images/Thumbs.db
 
 override_dh_installchangelogs:
 	dh_installchangelogs $(CURDIR)/readme/readme_pleiades_changes.txt
@@ -28,9 +29,6 @@
 #override_dh_clean:
 #	debconf-updatepo
 #	dh_clean
-
-override_dh_builddeb:
-	dh_builddeb -- -Zxz -Sextreme -z9
 
 get-orig-source:
 	TMPDIR=`mktemp -d`;\

=== debian/watch ===
version=4

opts="downloadurlmangle=s%projects/mergedoc/downloads%frs/redir\.php?m=iij&f=mergedoc%g;s/zip\//zip/, \
pagemangle=s%<osdn:file url="([^<]*)</osdn:file>%<a href="$1">$1</a>%g, \
uversionmangle=s/-beta/~beta/;s/-rc/~rc/;s/-preview/~preview/,\
dversionmangle=s/-dfsg//;s/~I/~/" \
https://osdn.net/projects/mergedoc/releases/rss \
 https://osdn.net/projects/mergedoc/downloads/.*/@PACKAGE@@ANY_VERSION@-src\.zip/ debian uupdate
